## org.apache.bcel.generic
Class ARETURN

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.ReturnInstruction
                  |
                  +--org.apache.bcel.generic.ARETURN

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, java.io.Serializable, StackConsumer, TypedInstruction

public class ARETURN
extends ReturnInstruction

ARETURN - Return reference from method

    Stack: ..., objectref -> <empty>

Version:
  $Id: ARETURN.java,v 1.1.1.1 2001/10/29 20:00:05 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`ARETURN()` Return reference from method

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).

Methods inherited from class org.apache.bcel.generic.ReturnInstruction
`getExceptions, getType, getType`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackConsumer
`consumeStack`

Constructor Detail

### ARETURN

    public ARETURN()

  Return reference from method

Method Detail

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.